<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: HttpParser Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classHttpParser-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">HttpParser Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a96e449829ffcec1555ce2b83f35b1ce5"><td class="memItemLeft" align="right" valign="top"><a id="a96e449829ffcec1555ce2b83f35b1ce5"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getBody</b> ()</td></tr>
<tr class="separator:a96e449829ffcec1555ce2b83f35b1ce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac41defb5ee108129a23e3b5466343627"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpParser.html#ac41defb5ee108129a23e3b5466343627">getHeader</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:ac41defb5ee108129a23e3b5466343627"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of the named header.  <a href="#ac41defb5ee108129a23e3b5466343627">More...</a><br /></td></tr>
<tr class="separator:ac41defb5ee108129a23e3b5466343627"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2788d08e90f4e6f923e67e9ecea5641f"><td class="memItemLeft" align="right" valign="top"><a id="a2788d08e90f4e6f923e67e9ecea5641f"></a>
std::map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>getHeaders</b> ()</td></tr>
<tr class="separator:a2788d08e90f4e6f923e67e9ecea5641f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69564f05f57b50c0362eca738a5a744c"><td class="memItemLeft" align="right" valign="top"><a id="a69564f05f57b50c0362eca738a5a744c"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getMethod</b> ()</td></tr>
<tr class="separator:a69564f05f57b50c0362eca738a5a744c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c117f22e6c3ba6bc3488de01d211fa7"><td class="memItemLeft" align="right" valign="top"><a id="a5c117f22e6c3ba6bc3488de01d211fa7"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getURL</b> ()</td></tr>
<tr class="separator:a5c117f22e6c3ba6bc3488de01d211fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a642904cb67f3c2aca2551c6807346bd9"><td class="memItemLeft" align="right" valign="top"><a id="a642904cb67f3c2aca2551c6807346bd9"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getVersion</b> ()</td></tr>
<tr class="separator:a642904cb67f3c2aca2551c6807346bd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0876a24a90cfb69880bfeb1d1828ee5"><td class="memItemLeft" align="right" valign="top"><a id="ac0876a24a90cfb69880bfeb1d1828ee5"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getStatus</b> ()</td></tr>
<tr class="separator:ac0876a24a90cfb69880bfeb1d1828ee5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7149feaa08bf32c401b5060cc9e64f7b"><td class="memItemLeft" align="right" valign="top"><a id="a7149feaa08bf32c401b5060cc9e64f7b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getReason</b> ()</td></tr>
<tr class="separator:a7149feaa08bf32c401b5060cc9e64f7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbc43df85a98a2c8c48bf9715ccf23e5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpParser.html#abbc43df85a98a2c8c48bf9715ccf23e5">hasHeader</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:abbc43df85a98a2c8c48bf9715ccf23e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if we have a header of the given name.  <a href="#abbc43df85a98a2c8c48bf9715ccf23e5">More...</a><br /></td></tr>
<tr class="separator:abbc43df85a98a2c8c48bf9715ccf23e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1a4929041f71909610a230f9d9d769a"><td class="memItemLeft" align="right" valign="top"><a id="ad1a4929041f71909610a230f9d9d769a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>parse</b> (std::string message)</td></tr>
<tr class="separator:ad1a4929041f71909610a230f9d9d769a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca20f6e15913b3dfdf60aa1e61215566"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpParser.html#aca20f6e15913b3dfdf60aa1e61215566">parse</a> (<a class="el" href="classSocket.html">Socket</a> s)</td></tr>
<tr class="memdesc:aca20f6e15913b3dfdf60aa1e61215566"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parse socket data.  <a href="#aca20f6e15913b3dfdf60aa1e61215566">More...</a><br /></td></tr>
<tr class="separator:aca20f6e15913b3dfdf60aa1e61215566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b5b742304eab756458af6502de9bd54"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpParser.html#a6b5b742304eab756458af6502de9bd54">parseResponse</a> (std::string message)</td></tr>
<tr class="memdesc:a6b5b742304eab756458af6502de9bd54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parse a response message.  <a href="#a6b5b742304eab756458af6502de9bd54">More...</a><br /></td></tr>
<tr class="separator:a6b5b742304eab756458af6502de9bd54"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac41defb5ee108129a23e3b5466343627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac41defb5ee108129a23e3b5466343627">&#9670;&nbsp;</a></span>getHeader()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string HttpParser::getHeader </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve the value of the named header. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the header to retrieve. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value of the named header or null if not present. </dd></dl>

</div>
</div>
<a id="abbc43df85a98a2c8c48bf9715ccf23e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbc43df85a98a2c8c48bf9715ccf23e5">&#9670;&nbsp;</a></span>hasHeader()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool HttpParser::hasHeader </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Determine if we have a header of the given name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the header to find. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the header is present and false otherwise. </dd></dl>

</div>
</div>
<a id="aca20f6e15913b3dfdf60aa1e61215566"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca20f6e15913b3dfdf60aa1e61215566">&#9670;&nbsp;</a></span>parse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HttpParser::parse </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classSocket.html">Socket</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Parse socket data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">s</td><td>The socket from which to retrieve data. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6b5b742304eab756458af6502de9bd54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b5b742304eab756458af6502de9bd54">&#9670;&nbsp;</a></span>parseResponse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HttpParser::parseResponse </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Parse a response message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">line</td><td>The response to parse. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="HttpParser_8h_source.html">HttpParser.h</a></li>
<li>HttpParser.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
